## LassoIdWsf2PsAddToCollectionRequest LassoIdWsf2PsAddToCollectionRequest — <ps:AddToCollectionRequest> |

## Functions

LassoIdWsf2PsAddToCollectionRequest * | lasso_idwsf2_ps_add_to_collection_request_new ()

## Types and Values

struct | LassoIdWsf2PsAddToCollectionRequest

## Description

Figure 210. Schema fragment for ps:AddToCollectionRequest

    <xs:complexType name="AddToCollectionRequestType">
      <xs:complexContent>
        <xs:extension base="RequestAbstractType">
          <xs:sequence>
            <xs:element ref="TargetObjectID"/>
            <xs:element ref="ObjectID" minOccurs="1" maxOccurs="unbounded"/>
            <xs:element ref="Subscription" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_add_to_collection_request_new ()

    LassoIdWsf2PsAddToCollectionRequest *
    lasso_idwsf2_ps_add_to_collection_request_new
                                   (void);

Creates a new LassoIdWsf2PsAddToCollectionRequest object.

#### Returns

a newly created LassoIdWsf2PsAddToCollectionRequest object

## Types and Values

### struct LassoIdWsf2PsAddToCollectionRequest

    struct LassoIdWsf2PsAddToCollectionRequest {
    	LassoIdWsf2PsRequestAbstract parent;

    	/* elements */
    	/* XXX */ void *TargetObjectID;
    	GList *ObjectID; /* of LassoNode */
    	/* XXX */ void *Subscription;
    };